For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
  • Deal Management
      • POSTUpload File
      • POSTCreate File Entry
      • GETFiles
      • GETFile
      • PUTUpdate File
      • DELDelete File
      • GETFile Download
      • GETFile Read Url
      • POSTFinalize Upload
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
Deal ManagementFile

Create File Entry

POST
/api/v1/group/:group_id/deal/:deal_id/file/entry
POST
/api/v1/group/:group_id/deal/:deal_id/file/entry
$curl -X POST https://app.termina.ai/api/v1/group/1/deal/1/file/entry \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string"
>}'
1{
2 "name": "string",
3 "id": 1,
4 "deal_id": 1,
5 "signed_url": {
6 "method": "string",
7 "url": "string",
8 "fields": {},
9 "headers": {}
10 },
11 "type": "deck",
12 "created_at": "2024-01-15T09:30:00Z",
13 "updated_at": "2024-01-15T09:30:00Z",
14 "is_archived": true,
15 "filesize": 0
16}

Create a new file entry for a specific group and deal. Requires the contents to be uploaded separately via signed-url.

Was this page helpful?
Previous

Files

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired
deal_idintegerRequired

Request

This endpoint expects an object.
namestringRequired

The human-readable name of the file

typeenum or nullOptional
The type of the file

Response

Successful Response
namestring

The human-readable name of the file

idinteger
deal_idinteger or null
signed_urlobject
typeenum or null
The type of the file
created_atstringformat: "date-time"
updated_atstring or nullformat: "date-time"
is_archivedboolean or null
filesizeintegerDefaults to 0
The size of the file in bytes

Errors

422
Unprocessable Entity Error